Delete a contact▾
DELETE

Delete a contact

Erase a contact and their message history.

Deletion is permanent and cascades to conversations and messages. Use it to satisfy an erasure request; if the contact messages you again a fresh record is created.

DELETE/v1/contacts/{wa_id}

Path parameters

wa_idstringrequired

Digits-only WhatsApp id, or ct_….

curl -X DELETE https://api.sendport.tech/v1/contacts/{wa_id} \
  -H "Authorization: Bearer $SENDPORT_KEY"

Responses

200OK
{
  "object": "contact",
  "id": "ct_01JZQ7B2M4N8P0R2T4V6X8ZACE",
  "deleted": true
}
401Unauthorized
{
  "error": {
    "type": "authentication_error",
    "code": "missing_api_key",
    "message": "No API key provided.",
    "doc_url": "https://sendport.tech/docs/errors#missing_api_key",
    "request_id": "req_9f3c2a7b41de08c5b2e6"
  }
}
Try itsandbox